# PowerGraphics.jl

PowerGraphics.jl is a Julia package for plotting results from [PowerSimulations.jl](https://github.com/NREL/PowerSimulations.jl).

## Backends

PowerGraphics.jl relies on Plots.jl to enable plotting via different backends. Currently, two backends are supported:

- GR (default): creates static plots - run the `gr()` command to load
- PlotlyJS: creates interactive plots - run the `plotlyjs()` command to load

## Making Figures

Each of the [`plot`* functions](@ref api) exported by PowerGraphics will create a plot via the specified backend (see above).
Some control on the appearance of those figures is available with the following key word arguments passed to the `plot_`* command.

### Arguments to control figure visibility, colors, and display

- `set_display::Bool = true`: set to false to prevent the plots from displaying
- `save::String = "file_path"`: set a file path to save the plots
- `format::String = "png"`: set a different format for saving a PlotlyJS plot
- `seriescolor::Array`: Set different colors for the plots
- `title::String = "Title"`: Set a title for the plots

### Arguments to control figure type and layout

- `stack::Bool = true`: stack plot traces
- `bar::Bool` : create bar plot
- `nofill::Bool` : force empty area fill
- `stair::Bool`: Make a stair plot instead of a stack plot

### Arguments to control data used for plotting

- `slacks::Bool = true` : display slack variables
- `load::Bool = true` : display load line
- `curtailment::Bool = true`: To plot the curtailment in the stack plot
- `generator_mapping_file` = "file_path" : file path to yaml definig generator category by fuel and primemover
- `variables::Union{Nothing, Vector{Symbol}}` = nothing : specific variables to plot


## Contributors

- Clayton Barrows
